Jump to content

Recommended Posts

Posted

Wow. Very good! Works fine for me.

 

Can you add "Selecet all " option (for multiple points) ?

 

Anyway thank you Lee Mac!

  • Replies 59
  • Created
  • Last Reply

Top Posters In This Topic

  • Lee Mac

    25

  • The Buzzard

    8

  • JeepMaster

    3

  • MarcoW

    3

Top Posters In This Topic

Posted Images

Posted

yeahhhh..very nice.. as usual...

thankx for sharing..

peace out..

  • 2 weeks later...
Posted

I would really appreciate a feature added to change the attribute's text style.:?

 

 

 

Any suggestions, comments, (and of course, bug reports!), are welcome

:)

 

Enjoy,

 

Lee

Posted

Code completely rewritten.

 

I have also removed all the dynamicity from it, making it more of a practical tool.

 

Lee

  • 1 year later...
Posted

So sorry to gravedig here ( again)

 

Can this lisp be altered - or is a stand alone lisp written - to allow me to select blocks and make invisible attributes visible please ?

Posted
Can this lisp be altered - or is a stand alone lisp written - to allow me to select blocks and make invisible attributes visible please ?

 

That could in fact be achieved with quite a short program:

 

(defun c:attvis ( / i s )
   (if (setq s (ssget "_:L" '((0 . "INSERT") (66 . 1))))
       (repeat (setq i (sslength s))
           (foreach a (vlax-invoke (vlax-ename->vla-object (ssname s (setq i (1- i)))) 'getattributes)
               (vla-put-invisible a :vlax-false)
           )
       )
   )
   (princ)
)
(vl-load-com) (princ)

  • 2 years later...
Posted

Hey Lee,

 

Forgive me for dusting off this thread, but I am running into an odd issue using EdAtt. The program starts just fine, lets me select the attribute, and when it then prompts me for selecting the block(s) I have tried selecting it every which way I can but it returns to the command prompt with no output. I am not sure what I am doing wrong but the only thing I can come up with is that since the block in question has visibility states it doesn't work with those?

 

I have included the block for reference.

 

Thanks in advance!

DWG-TTL.dwg

Posted

Hi Eric,

 

You're quite right - I wrote this program quite a few years ago and didn't include compatibility with attributed dynamic blocks. I could certainly update the program to enable compatibility with dynamic blocks, but I would more likely opt to rewrite the entire application as my old code is not particularly clear.

 

I'll see what I can do if I find some time to work on it.

 

Nevertheless, I'm pleased to hear that you find this old program useful.

 

Lee

  • 3 months later...
Posted

Sorry to dig this one, but is there a way to use EDATT in a MultiText attribute? I got a message "Invalid Object Selected" when I click on the MultiTxt Attribute but everything works swell....THANKS

Posted
Sorry to dig this one, but is there a way to use EDATT in a MultiText attribute? I got a message "Invalid Object Selected" when I click on the MultiTxt Attribute but everything works swell....THANKS

 

As it stands, the program is currently not compatible with MAttributes; such compatibility could certainly be incorporated, but as noted above & earlier in the thread, I would most likely opt to rewrite the entire application first, as the code is now very old and is in dire need of a complete overhaul.

 

Lee

Posted

God Damn you company I work for with your blasted AutoCAD LT and Creo half assed software.

I wanna get me some lisp once more!

Posted
As it stands, the program is currently not compatible with MAttributes; such compatibility could certainly be incorporated, but as noted above & earlier in the thread, I would most likely opt to rewrite the entire application first, as the code is now very old and is in dire need of a complete overhaul.

 

Lee

 

Guess I have to use single line attribute rather multiline.....Thanks Lee!!!

  • 1 year later...
Posted

hi, ive been using this lisp but all of a sudden its stopped working? I load it, successfully but when I try to use any of the commands, it asks me to select the attribute, which I do, and then nothing? command line goes blank... any ideas?

Posted

sally: What changed recently? Did you download and use any new custom lisp routines?

 

Did you try shutting down AutoCAD, restarting it then running Lee's program?

Posted

yes, have closed CAD, have deleted the original lisp file that I saved and resaved it - still nothing

  • 6 years later...
Posted

Hello Lee,

This program is Great....Thank you for the same.

I have around 50 blocks with different names and each block has multiple attribute. I want to change the size/height of attributes of all the blocks at the same time.

Currently your Suite does only for single attribute of single block. Can you please help.

 

Regards,

Akhtar

Posted

Try this you need to make a list of block names to be changed. 

 

(defun c:chgattsz ( / blst bname ss ent x )
(setq blst (list blkname1 blkname2 .....))
(foreach bname blst
(command "bedit" bname)
(setq ss (ssget "X" '((0 . "ATTDEF"))))
(repeat (setq x (sslength ss))
(setq ent (entget (ssname ss (setq x (1- x)))))
(entmod (subst (cons 40 2.5) (assoc 40 ent) ent)) ; change 2.5 to size required. 
)
(command "bclose" "SAVE")
(command "attsync" "N" bname)
)
(princ)
)
(c:chgattsz)

 

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.
Note: Your post will require moderator approval before it will be visible.

Guest
Unfortunately, your content contains terms that we do not allow. Please edit your content to remove the highlighted words below.
Reply to this topic...

×   Pasted as rich text.   Restore formatting

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.


×
×
  • Create New...